Subject: Re: bug#11916: 24.1.50; Making url-dav work

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Jul 2012 18:12:04 -0400

> You might get name clashes; for example, the code might parse a
> 'collection' although it is actually not a "DAV:collection" but a
> "FOOBAR:collection". Granted, it's not very likely, and if this would be
> used in a read-only fashion (like parsing atom feeds) I'd drop the
> namespaces in a heartbeat. But since url-dav will usually be used to
> manipulate actual files on remote servers, I'd rather not risk it.

I see.  So using libxml wouldn't be an option (or maybe libxml can also
do it, but we'd need to change libxml-parse-xml-region for that?).

>> Of course, I was thinking of changing it in a backward compatible way,
>> by letting the `parse-ns' argument specify which kind of result you
>> want.  The changes should be mostly limited to xml-maybe-do-ns.
> I could live with that.

Could you prepare a patch for that?

        Stefan